> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fssportal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Rooms

> Get all rooms for a client

## Endpoint

```
POST /api/v1/room/get
```

<Note>This endpoint requires authentication</Note>

## Headers

<ParamField header="X-API-Token" type="string" required>
  Your API access token. You can also set this globally in the API playground.
</ParamField>

<ParamField header="platform" type="string" required>
  The platform making the request: `WEB`, `IOS`, or `ANDROID`.
</ParamField>

## Request Body

<ParamField body="client_id" type="integer" required>
  Filter rooms by client ID.
</ParamField>

<ParamField body="room_id" type="integer" required>
  Fetch specific room details.
</ParamField>

## Response

<ResponseField name="message" type="string">
  message
</ResponseField>

<ResponseField name="data" type="array">
  data

  <Expandable title="data item">
    <ResponseField name="room_id" type="integer">
      room id
    </ResponseField>

    <ResponseField name="admin_room_id" type="object">
      admin room id
    </ResponseField>

    <ResponseField name="measurement_type_id" type="integer">
      measurement type id
    </ResponseField>

    <ResponseField name="measurement_type_name" type="string">
      measurement type name
    </ResponseField>

    <ResponseField name="measurement_id" type="integer">
      measurement id
    </ResponseField>

    <ResponseField name="group_id" type="integer">
      group id
    </ResponseField>

    <ResponseField name="created_at" type="string">
      created at
    </ResponseField>

    <ResponseField name="window_name" type="string">
      window name
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location 'http://fssportal.com/api/v1/room/get' \
  --header 'X-API-Token: YOUR_API_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
    "client_id": 1856,
    "room_id": 4945
  }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('http://fssportal.com/api/v1/room/get', {
    method: 'POST',
    headers: {
      'X-API-Token': 'YOUR_API_TOKEN',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
    "client_id": 1856,
    "room_id": 4945
  })
  });

  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "message": "Rooms get successfully.",
    "data": [
      {
        "room_id": 4945,
        "admin_room_id": null,
        "measurement_type_id": 1,
        "measurement_type_name": "Single Window Form",
        "measurement_id": 12170,
        "group_id": 11157,
        "created_at": "2026-05-14T12:01:04.000000Z",
        "window_name": "test"
      },
      {
        "room_id": 4945,
        "admin_room_id": null,
        "measurement_type_id": 1,
        "measurement_type_name": "Single Window Form",
        "measurement_id": 12171,
        "group_id": 11158,
        "created_at": "2026-05-14T12:30:36.000000Z",
        "window_name": "test"
      },
      {
        "room_id": 4945,
        "admin_room_id": null,
        "measurement_type_id": 1,
        "measurement_type_name": "Single Window Form",
        "measurement_id": 12172,
        "group_id": 11159,
        "created_at": "2026-05-14T12:32:51.000000Z",
        "window_name": "test"
      }
    ]
  }
  ```
</ResponseExample>

## Notes

* Authentication is required
